- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ftd_configuration – Manages configuration on Cisco FTD devices over REST API

New in version 2.7.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages configuration on Cisco FTD devices including creating, updating, removing configuration objects, scheduling and staring jobs, deploying pending changes, etc. All operations are performed over REST API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data dictionary |  | Key-value pairs that should be sent as body parameters in a REST API call
filters dictionary |  | Key-value dict that represents equality filters. Every key is a property name and value is its desired value. If multiple filters are present, they are combined with logical operator AND.
operation string / required |  | The name of the operation to execute. Commonly, the operation starts with 'add', 'edit', 'get', 'upsert' or 'delete' verbs, but can have an arbitrary name too.
path_params dictionary |  | Key-value pairs that should be sent as path parameters in a REST API call.
query_params dictionary |  | Key-value pairs that should be sent as query parameters in a REST API call.
register_as string |  | Specifies Ansible fact name that is used to register received response from the FTD device.

## Examples

    - name: Create a network object
      ftd_configuration:
        operation: "addNetworkObject"
        data:
          name: "Ansible-network-host"
          description: "From Ansible with love"
          subType: "HOST"
          value: "192.168.2.0"
          dnsResolution: "IPV4_AND_IPV6"
          type: "networkobject"
          isSystemDefined: false
        register_as: "hostNetwork"

    - name: Delete the network object
      ftd_configuration:
        operation: "deleteNetworkObject"
        path_params:
          objId: "{{ hostNetwork['id'] }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
response dictionary | success | HTTP response returned from the API call.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Cisco Systems, Inc. (@annikulin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.